com.lowagie.tools

## Class EncryptPdf

- java.lang.Object
- - com.lowagie.tools.EncryptPdf

    public class EncryptPdf
    extends java.lang.Object

Encrypts a PDF document. It needs iText (http://www.lowagie.com/iText).

Since:
  2.1.1 (renamed to follow Java naming conventions)
Author:
  Paulo Soares (psoares@consiste.pt)

### Field Summary

Fields
`private static int` `INPUT_FILE`
`private static int` `MOREINFO`
`private static int` `OUTPUT_FILE`
`private static int` `OWNER_PASSWORD`
`private static int` `PERMISSIONS`
`private static int[]` `permit`
`private static int` `STRENGTH`
`private static int` `USER_PASSWORD`

### Constructor Summary

Constructors
Constructor and Description
`EncryptPdf()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)` Encrypts a PDF document.
`private static void` `usage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INPUT_FILE

    private static final int INPUT_FILE

See Also:
  Constant Field Values

#### OUTPUT_FILE

    private static final int OUTPUT_FILE

See Also:
  Constant Field Values

#### USER_PASSWORD

    private static final int USER_PASSWORD

See Also:
  Constant Field Values

#### OWNER_PASSWORD

    private static final int OWNER_PASSWORD

See Also:
  Constant Field Values

#### PERMISSIONS

    private static final int PERMISSIONS

See Also:
  Constant Field Values

#### STRENGTH

    private static final int STRENGTH

See Also:
  Constant Field Values

#### MOREINFO

    private static final int MOREINFO

See Also:
  Constant Field Values

#### permit

    private static final int[] permit

### Constructor Detail

#### EncryptPdf

    public EncryptPdf()

### Method Detail

#### usage

    private static void usage()

#### main

    public static void main(java.lang.String[] args)

Encrypts a PDF document.

Parameters:
  `args` - input_file output_file user_password owner_password permissions 128|40 [new info string pairs]